Bug 833756 - rhnpush --source --force fails if checksum is different.
rhnpush --source --force fails if checksum is different.
Status: CLOSED DEFERRED
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Client (Show other bugs)
550
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Michael Mráka
Red Hat Satellite QA List
:
Depends On:
Blocks: 462714
  Show dependency treegraph
 
Reported: 2012-06-20 06:02 EDT by Dimitar Yordanov
Modified: 2015-05-29 16:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-29 16:10:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test source RPM (2.05 KB, application/x-rpm)
2012-06-20 06:04 EDT, Dimitar Yordanov
no flags Details
Test Source RPM with different checksum (2.05 KB, application/x-rpm)
2012-06-20 06:05 EDT, Dimitar Yordanov
no flags Details

  None (edit)
Description Dimitar Yordanov 2012-06-20 06:02:49 EDT
Description of problem:
rhnpush --source --force fails if checksum is different.

Version-Release number of selected component (if applicable):
rhnpush-5.5.42-3.el5sat

How reproducible:
100%

Steps to Reproduce:
1.Create two source RPM with the same names but with diffrent chacksum. (SRC RPM are attached to this BZ)
2.Create Custom Software Channel and push one of the source RPM to the channel.
#rhnpush --source --verbose -c test_cust_chann  -u admin -p nimda --server=http://${RHN_SERVER}/APP --nosig test-regular-0_1-0.1-1.src.rpm
3.Try now to push the other source RPM to the same Custom Source Channel.
#rhnpush --source --verbose -c test_cust_chann  -u admin -p nimda --server=http://${RHN_SERVER}/APP --nosig test-regular-0_1-0.1-1.src.rpm
  
Actual results:
Connecting to http://dell-pe1955-01.rhts.eng.bos.redhat.com/APP
Error: Package test-regular-0_1-0.1-1.src.rpm already exists on the server with a different checksum. Skipping upload to prevent overwriting existing package. (You may use rhnpush with the --force option to force this upload if the force_upload option is enabled on your server.)

# rhnpush --force --source --verbose -c test_cust_chann  -u admin -p nimda --server=http://dell-pe1955-01.rhts.eng.bos.redhat.com/APP --nosig test-regular-0_1-0.1-1.src.rpm
Connecting to http://dell-pe1955-01.rhts.eng.bos.redhat.com/APP
Package checksum test-regular-0_1-0.1-1.src.rpm mismatch  -- Forcing Upload
Uploading package test-regular-0_1-0.1-1.src.rpm
Using POST request
Internal server error 500 Internal Server Error
Error pushing test-regular-0_1-0.1-1.src.rpm: Error 500 (500)
Waiting 4 seconds and trying again...
Uploading package test-regular-0_1-0.1-1.src.rpm
Using POST request
Internal server error 500 Internal Server Error
Error pushing test-regular-0_1-0.1-1.src.rpm: Error 500 (500)
Waiting 2 seconds and trying again...
Uploading package test-regular-0_1-0.1-1.src.rpm
Using POST request
Internal server error 500 Internal Server Error
Error pushing test-regular-0_1-0.1-1.src.rpm: Error 500 (500)
Waiting 4 seconds and trying again...
Giving up after 3 attempts


Additional info:
Comment 1 Dimitar Yordanov 2012-06-20 06:04:03 EDT
Created attachment 593166 [details]
Test source RPM
Comment 2 Dimitar Yordanov 2012-06-20 06:05:01 EDT
Created attachment 593167 [details]
Test Source RPM with different checksum
Comment 3 Clifford Perry 2012-06-21 08:36:33 EDT
Interesting bug, I expect not a regression though, and a bit of an edge case for customers doing this out in the wild. Re-aligning to sat600-triage

Cliff

Note You need to log in before you can comment on or make changes to this bug.